﻿<%@ Register Src="Copyright.ascx" TagPrefix="BaseWebmail" TagName="Copyright" %>
<%@ Register Src="Logo.ascx" TagPrefix="BaseWebmail" TagName="Logo" %>
<%@ Page language="c#" CodeBehind="default.aspx.cs" AutoEventWireup="false" Inherits="WebMailLite._default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />
	<meta http-equiv="Cache-Control" content="private,max-age=1209600" />
	<title><%=settings.SiteName%></title>
	<link rel="stylesheet" href="skins/<%=defaultSkin%>/styles.css" type="text/css" id="skin" />
	<script type="text/javascript">
		var isAjax = <%=defaultIsAjax%>;
		var WebMailUrl = 'webmail.aspx';
		var LoginUrl = 'default.aspx';
		var ActionUrl = 'xml_processing.aspx';
		var Title = '<%=defaultTitle%>';
		var SkinName = '<%=defaultSkin%>';
		var HideLoginMode = <%=defaultHideLoginMode%>;
		var DomainOptional = '<%=defaultDomainOptional%>';
		var AllowAdvancedLogin = <%=defaultAllowAdvancedLogin%>;
		var AdvancedLogin = '<%=advancedLogin%>';
		var EmptyHtmlUrl = 'empty.html';

		var INIT_DEFINES     = 0;
		var INIT_COMMON      = 1;
		var INIT_AJAX_COMMON = 2;
		var INIT_FUNCTIONS   = 3;
		var INIT_LOGIN       = 4;
		var INIT_BODY        = 5;
		
		var ReadyInit = Array();
		ReadyInit[INIT_DEFINES]     = false;
		ReadyInit[INIT_COMMON]      = false;
		ReadyInit[INIT_AJAX_COMMON] = false;
		ReadyInit[INIT_FUNCTIONS]   = false;
		ReadyInit[INIT_LOGIN]       = false;
		ReadyInit[INIT_BODY]        = false;
	
		function Ready(fileId)
		{
			ReadyInit[fileId] = true;
			var isReady = true;
			for (var i=0; i<=INIT_BODY; i++)
			{
				if (ReadyInit[i] == false)
				{
					isReady = false;
					break;
				}
			}
			if (isReady) Init();
		}
	</script>
	<script type="text/javascript" src="_defines.js"></script>
	<script type="text/javascript" src="langs_js.aspx"></script>
	<script type="text/javascript" src="class.common.js"></script>
	<script type="text/javascript" src="class.ajax-common.js"></script>
	<script type="text/javascript" src="_functions.js"></script>
	<script type="text/javascript" src="class.login.js"></script>
	
	
</head>

<body onload="Ready(INIT_BODY);">

<table class="wm_hide" id="info">
	<tr>
		<td class="wm_info_message" id="info_message"></td>
	</tr>
</table>
<div align="center" id="content" class="wm_content">
	<BaseWebmail:Logo id="Control_Logo" runat="server"></BaseWebmail:Logo>
	<div id="login_screen">
		<div class="<%=errorClass%>" id="login_error"><%=errorDesc%></div>
		<form action="default.aspx?mode=submit" method="post" id="login_form" name="login_form">
			<input type="hidden" name="advanced_login" value="<%=advancedLogin%>" />
			<div class="wm_login">
				<div class="a"></div>
				<div class="b"></div>
				<div class="login_table" style="margin: 0px;">
					<div class="wm_login_header"><%=_resMan.GetString("LANG_LoginInfo")%></div>
					<table id="login_table" border="0" cellspacing="0" cellpadding="10">
						<tr id="email_cont"<%=emailClass%>>
							<td class="wm_title" style="font-size: 12px; width: 70px;"><%=_resMan.GetString("LANG_Email")%>:</td>
							<td>
								<input style="width: 99%; font-size: 16px;" class="wm_input" type="text" value="" id="email" name="email" maxlength="255" 
									onfocus="this.className = 'wm_input_focus';" onblur="this.className = 'wm_input';" />
							</td>
						</tr>
						<tr id="login_cont"<%=loginClass%>>
							<td class="wm_title" style="font-size: 12px; width: 70px;"><%=_resMan.GetString("LANG_Login")%>:</td>
							<td id="login_parent"><nobr>
								<input style="width: <%=loginWidth%>; font-size: 16px;" class="wm_input" type="text" value="" id="login" name="login" maxlength="255" 
									onfocus="this.className = 'wm_input_focus';" onblur="this.className = 'wm_input';" />
								<span id="domain"><%=domainContent%></span>
							</nobr></td>
						</tr>
						<tr>
							<td class="wm_title" style="font-size: 12px; width: 70px;"><%=_resMan.GetString("LANG_Password")%>:</td>
							<td>
								<input style="width: 99%; font-size: 16px;" class="wm_input wm_password_input" type="password" value="" id="password" name="password" maxlength="255" 
									onfocus="this.className = 'wm_input_focus wm_password_input';" onblur="this.className = 'wm_input wm_password_input';" />
							</td>
						</tr>
					</table>
					<% if (settings.AllowAdvancedLogin) { %>
					<div id="advanced_fields" style="margin: 0px; height: 95px; display: <%=advancedDisplay%>; overflow: hidden; padding: 0px;">
					<table cellspacing="0" cellpadding="6">
						<tr id="incoming">
							<td class="wm_title"><%=_resMan.GetString("LANG_IncServer")%>:</td>
							<td>
								<input class="wm_advanced_input" type="text" value="<%=defaultIncServer%>" id="inc_server" name="inc_server" maxlength="255"
									onfocus="this.className = 'wm_advanced_input_focus';" onblur="this.className = 'wm_advanced_input';" />
							</td>
							<td class="wm_title"><%=_resMan.GetString("LANG_IncPort")%>:</td>
							<td>
								<input class="wm_advanced_input" type="text" value="<%=defaultIncPort%>" id="inc_port" name="inc_port" maxlength="5"
									onfocus="this.className = 'wm_advanced_input_focus';" onblur="this.className = 'wm_advanced_input';" />
							</td>
						</tr>
						<tr id="outgoing">
							<td class="wm_title"><%=_resMan.GetString("LANG_OutServer")%>:</td>
							<td>
								<input class="wm_advanced_input" type="text" value="<%=defaultOutServer%>" id="out_server" name="out_server" maxlength="255"
									onfocus="this.className = 'wm_advanced_input_focus';" onblur="this.className = 'wm_advanced_input';" />
							</td>
							<td class="wm_title"><%=_resMan.GetString("LANG_OutPort")%>:</td>
							<td>
								<input class="wm_advanced_input" type="text" value="<%=defaultOutPort%>" id="out_port" name="out_port" maxlength="5"
									onfocus="this.className = 'wm_advanced_input_focus';" onblur="this.className = 'wm_advanced_input';" />
							</td>
						</tr>
						<tr id="authentication">
							<td colspan="4">
								<input class="wm_checkbox" type="checkbox" checked="checked" value="1" id="smtp_auth" name="smtp_auth"<%=smtpAuthChecked%>>
								<label for="smtp_auth"><%=_resMan.GetString("LANG_UseSmtpAuth")%></label>
							</td>
						</tr>
					</table>
					</div>
					<% } %>
					<table>
						<tr>
							<td colspan="4">
							<% if (defaultAllowAdvancedLogin == "true") { %>
								<span class="wm_login_switcher">
									<a class="wm_reg" href="<%=switcherHref%>" id="login_mode_switcher"><%=switcherText%></a>
								</span>
							<% } %>
								<span class="wm_login_button">
									<input class="wm_button" type="submit" id="submit" name="submit" value="<%=_resMan.GetString("LANG_Enter")%>" />
								</span>
							</td>
						</tr>
					</table>
				</div>
				<div class="b"></div>
				<div class="a"></div>
			</div>
		</form>
	</div>
	
</div>
<BaseWebmail:Copyright id="Control_Copyright" runat="server"></BaseWebmail:Copyright>
</body>
</html>
