using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace WebMailLite
{
	/// <summary>
	/// Summary description for integr.
	/// </summary>
	public class integr : System.Web.UI.Page
	{
		private void Page_Load(object sender, System.EventArgs e)
		{
			string screen = Request.QueryString["scr"] as string;
			string to = Request.QueryString["to"] as string;			
		
			string hashString = Request.QueryString["h"] as string;
			string email = Request.QueryString["email"] as string;	
		
			WebmailSettings settings = (new WebMailSettingsCreator()).CreateWebMailSettings();

			FileSystem fs = new FileSystem(email, 0, false);

			Account acct = null;
			acct = fs.ReadAccount(email, hashString);
			fs.DeleteAccount(email, hashString);

			if (acct != null)
			{
				if (Session[Constants.sessionAccount] == null)
				{
					Session.Add(Constants.sessionAccount, acct);
				}
				else
				{
					Session[Constants.sessionAccount] = acct;
				}

				WMStartPage page = WMStartPage.Mailbox;
				try
				{
					short scrNum = short.Parse(screen);
					page = (WMStartPage)scrNum;
				}
				catch {}
				string scr = "default";
				switch (page)
				{
					case WMStartPage.NewMessage:
						if (to != null) to = string.Format(@"&to={0}", to);
						scr = "new_message";
						goto default;
					case WMStartPage.Mailbox:
						scr = "default";
						goto default;
					default:
						if (settings.AllowAjax)
							HttpContext.Current.Response.Redirect(string.Format(@"../webmail.aspx?start={0}{1}", (int)page, to));
						else 
							HttpContext.Current.Response.Redirect(string.Format(@"../basewebmail.aspx?scr={0}{1}", scr, to));
						break;
				}
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);
		}
		#endregion
	}
}
